spring.profiles.active: dev

server.error.include-message: always

springdoc.packagesToScan: com.exercise.shopping.controllers, com.exercise.shopping.dto

---

spring:
  profiles: dev
  datasource:
    url: jdbc:h2:file:./db/shopping
    username: sa
    password:
  jpa:
    database-platform: org.hibernate.dialect.H2Dialect
    hibernate:
      ddl-auto: create-drop
  h2:
    console:
      enabled: true
      path: /console
      settings:
        web-allow-others: true

---

spring:
  profiles: test
  datasource:
    url: jdbc:postgresql://localhost:5432/shopping_test
    username: postgres
    password: admin
  jpa:
    hibernate:
      dialect: org.hibernate.dialect.PostgreSQLDialect
      ddl-auto: create-drop

---

spring:
  profiles: prod
  datasource:
    url: jdbc:postgresql://${DB_SERV}/shopping
    username: ${DB_USR}
    password: ${DB_PWD}
  jpa:
    hibernate:
      dialect: org.hibernate.dialect.PostgreSQLDialect
      ddl-auto: validate